Summary: A breakout-style arcade game for Linux
Name: lbreakout
Version: 010315
Release: fr2
Serial: 0
Copyright: GPL
Group: Amusements/Games
Source: %{name}-%{version}.tar.bz2
URL: http://lgames.sourceforge.net/
BuildRoot: %{_tmppath}/%{name}-root
Requires: SDL >= 1.1.4

%description
A breakout-style arcade game for Linux that uses the SDL.

%prep
%setup -q

%build
%configure
make

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_localstatedir}/lib/games
%makeinstall sdir=%{buildroot}%{_datadir}/games/lbreakout \
  hdir=%{buildroot}%{_localstatedir}/lib/games
mkdir -p %{buildroot}%{_sysconfdir}/X11/applnk/Games/

cat > %{buildroot}%{_sysconfdir}/X11/applnk/Games/%{name}.desktop << EOF
[Desktop Entry]
Name=LBreakout
Comment=A Breakout clone for Linux
Exec=%{_bindir}/lbreakout
Icon=
Terminal=0
Type=Application
EOF

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc AUTHORS ChangeLog README TODO lbreakout/manual
%{_sysconfdir}/X11/applnk/Games/%{name}.desktop
%attr(2551, root, games) %{_bindir}/%{name}
%{_datadir}/games/%{name}
%config(noreplace) %attr(664, games, games) %{_localstatedir}/lib/games/*.hscr

%changelog
* Tue Apr 10 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 010315.

* Mon Nov 27 2000 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Initial RPM release for RedHat 7.0

